WayloAIWaylo Docs
APIReferenceProvider keys

Update key settings

PUT
/provider-keys/settings

Set what a stage does when the tenant’s key fails or is known bad. strict never runs that provider on the platform key; failover does.

Access: tenant_admin · API key provider_keys:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Header Parameters

Authorization*string

Your API key.

Request Body

application/json
  1. body
failureMode*string
Value in"strict""failover"

Response Body

Updated

application/json
  1. response
failureMode*string
Value in"strict""failover"
Example Request
curl -X PUT 'https://api.poc.app.waylovoice.ai/provider-keys/settings' \  -H 'Authorization: Bearer sk_waylo_...' \  -H 'Content-Type: application/json' \  -d '{  "failureMode": "strict"}'
Example Response
{  "failureMode": "strict"}